Skip to navigation

Get risk ratings and reputation for one mobile app

The purpose of this API is to provide risk ratings and reputational data for mobile applications. The response is a JSON formatted object containing a list of app information partitioned by region and device.

Authentication

x-api-keystring

Authentication and authorization is achieved by supplying your Pixalate provided API key in the header of the request. An API key may be obtained by signing up for an account on the Pixalate developer website.

Path parameters

appIdstringRequired
The app's unique identifier. This is a package name on Google Play or a track id on Apple app Store.

Query parameters

widgetlist of enumsOptional

Filter by comma-separated list of widgets to return. All widgets are returned by default.

regionenumOptional

Filter by region. All regions are returned by default. GLOBAL indicates aggregated traffic from all regions.

Allowed values:
deviceenumOptional

Filter by device. All devices are returned by default. GLOBAL indicates aggregated traffic from all devices.

Allowed values:
prettybooleanOptional
If true, return pretty JSON. Default is false.

Response

OK
statusenumOptional
The returned status.
Allowed values:
numFoundintegerOptional
The total number of matching apps.
docslist of objectsOptional
A list of apps.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
5XX
Server Error